#include <stdio.h>
#include <stdlib.h>
#include <linux/kdev_t.h>
#include <rsbac/types.h>
#include <rsbac/syscalls.h>
#include <rsbac/getname.h>
#include <rsbac/error.h>
#include "nls.h"
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

int main(int argc, char ** argv)
{
  int res = 0;
  int i;
  int module,value;
  char name[80];

  locale_init();
  
  if (argc == 3)
    {
      module=get_switch_target_nr(argv[1]);
      if(module == SW_NONE)
        {
          printf(gettext("%s: Invalid switch target %s\n"), argv[0], argv[1]);
          exit(1);
        }
      value=strtol(argv[2],0,10);
/*      printf(gettext("%s: switching Module %s(%i) to %i\n"), argv[0],argv[1],module,value);
*/
      res = rsbac_switch(module,value);
      error_exit(res);
      exit(0);
    }
  else
    {
      printf(gettext("%s (RSBAC %s)\n***\n"), argv[0], VERSION);
      printf(gettext("Use: %s module value\n"), argv[0]);
      printf(gettext("module = module name, value = [01]\n\n"));
      printf(gettext("Possible module names are:\n"));
      for (i=0;i<SW_NONE;i++)
        {
          get_switch_target_name(name,i);
          printf("%s\n",name);
        }
    }
  exit(1);
}
